Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Virtual Private Cloud
  • Getting started
  • DDoS Protection
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • GetByValue
        • List
        • ListBySubnet
        • Create
        • Update
        • Delete
        • ListOperations
        • Move
  • Metrics Monitoring
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Query parameters
  • Response
  • Address
  • ExternalIpv4Address
  • AddressRequirements
  • InternalIpv4Address
  • DnsRecord
  1. API reference
  2. REST
  3. Address
  4. List

Virtual Private Cloud API, REST: Address.List

Written by
Yandex Cloud
Updated at June 18, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • Address
  • ExternalIpv4Address
  • AddressRequirements
  • InternalIpv4Address
  • DnsRecord

Retrieves the list of Address resources in the specified folder.

HTTP requestHTTP request

GET https://vpc.api.cloud.yandex.net/vpc/v1/addresses

Query parametersQuery parameters

Field

Description

folderId

string

ID of the folder to list addresses in.
To get the folder ID use a yandex.cloud.resourcemanager.v1.FolderService.List request.
The length must be less than or equal to 50.
This field is required.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListAddressesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value: 100.
The value must be less than or equal to 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListAddressesResponse.nextPageToken returned by a previous list request.
The length must be less than or equal to 100.

filter

string

A filter expression that filters Address listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on Address.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].
    Example of a filter: name=my-address.

ResponseResponse

HTTP Code: 200 - OK

{
  "addresses": [
    {
      "id": "string",
      "folderId": "string",
      "createdAt": "string",
      "name": "string",
      "description": "string",
      "labels": "object",
      // Includes only one of the fields `externalIpv4Address`, `internalIpv4Address`
      "externalIpv4Address": {
        "address": "string",
        "zoneId": "string",
        "requirements": {
          "ddosProtectionProvider": "string",
          "outgoingSmtpCapability": "string"
        }
      },
      "internalIpv4Address": {
        "address": "string",
        // Includes only one of the fields `subnetId`
        "subnetId": "string"
        // end of the list of possible fields
      },
      // end of the list of possible fields
      "reserved": "boolean",
      "used": "boolean",
      "type": "string",
      "ipVersion": "string",
      "deletionProtection": "boolean",
      "dnsRecords": [
        {
          "fqdn": "string",
          "dnsZoneId": "string",
          "ttl": "string",
          "ptr": "boolean"
        }
      ]
    }
  ],
  "nextPageToken": "string"
}

Field

Description

addresses[]

Address

List of addresses.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListAddressesRequest.pageSize, use next_page_token as the value
for the ListAddressesRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

AddressAddress

An Address resource. For more information, see Address.

Field

Description

id

string

ID of the address. Generated at creation time.

folderId

string

ID of the folder that the address belongs to.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the address.
The name is unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Description of the address. 0-256 characters long.

labels

object (map<string, string>)

Address labels as key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

externalIpv4Address

ExternalIpv4Address

External ipv4 address specification.

Includes only one of the fields externalIpv4Address, internalIpv4Address.

Only one field must be specified.

internalIpv4Address

InternalIpv4Address

Internal ipv4 address specification

Includes only one of the fields externalIpv4Address, internalIpv4Address.

Only one field must be specified.

reserved

boolean

Specifies if address is reserved or not.

used

boolean

Specifies if address is used or not.

type

enum (Type)

Type of the IP address.

  • INTERNAL: Internal IP address.
  • EXTERNAL: Public IP address.

ipVersion

enum (IpVersion)

Version of the IP address.

  • IPV4: IPv4 address.
  • IPV6: IPv6 address.

deletionProtection

boolean

Specifies if address protected from deletion.

dnsRecords[]

DnsRecord

Optional DNS record specifications

ExternalIpv4AddressExternalIpv4Address

Field

Description

address

string

Value of address.

zoneId

string

Availability zone from which the address will be allocated.

requirements

AddressRequirements

Parameters of the allocated address, for example DDoS Protection.

AddressRequirementsAddressRequirements

Field

Description

ddosProtectionProvider

string

DDoS protection provider ID.

outgoingSmtpCapability

string

Capability to send SMTP traffic.

InternalIpv4AddressInternalIpv4Address

Field

Description

address

string

Value of address.

subnetId

string

Subnet from which the address will be allocated

Includes only one of the fields subnetId.

Only one field must be specified.

DnsRecordDnsRecord

Field

Description

fqdn

string

DNS record name (absolute or relative to the DNS zone in use).

dnsZoneId

string

ID of the public DNS zone.

ttl

string (int64)

TTL of record.

ptr

boolean

If the PTR record is required, this parameter must be set to "true".

Was the article helpful?

Previous
GetByValue
Next
ListBySubnet
© 2026 Direct Cursus Technology L.L.C.